Skip to main content
GET
/
api
/
subscriptions
/
status
curl -X GET https://api.finscreener.in/api/subscriptions/status \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "subscriptions": [
    {
      "plan": "Professional",
      "status": "active",
      "starts_at": "2026-01-01T00:00:00Z",
      "expires_at": "2026-12-31T23:59:59Z",
      "features": ["Recent_COMP", "Recent_DIR", "Recent_GST", "API_ACCESS"]
    }
  ]
}
Get the current user’s active subscription details and feature access.

Headers

Authorization
string
required
Bearer token: Bearer <access_token>

Response

Returns the user’s active subscriptions including plan details, status, and available features.
curl -X GET https://api.finscreener.in/api/subscriptions/status \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN"
{
  "subscriptions": [
    {
      "plan": "Professional",
      "status": "active",
      "starts_at": "2026-01-01T00:00:00Z",
      "expires_at": "2026-12-31T23:59:59Z",
      "features": ["Recent_COMP", "Recent_DIR", "Recent_GST", "API_ACCESS"]
    }
  ]
}